/*
 *  Copyright 2014 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.sms.tool');

org.ametys.sms.tool.PhoneNumbersToolFactory = function(id, config, pluginName) 
{
	org.ametys.sms.tool.PhoneNumbersToolFactory.superclass.constructor.call(this, id, config, pluginName);
};

org.ametys.sms.tool.PhoneNumbersToolFactory._toolIdPrefix = "sms-phone-numbers-";

Ext.extend(org.ametys.sms.tool.PhoneNumbersToolFactory, org.ametys.uitool.tool.ToolFactory, {});

org.ametys.sms.tool.PhoneNumbersToolFactory.prototype.openTool = function (params)
{
	if (org.ametys.uitool.ToolsManager.getInstance().getTool(org.ametys.sms.tool.PhoneNumbersToolFactory._toolIdPrefix + params.id) == null)
	{
		var tool = new org.ametys.sms.tool.PhoneNumbersTool (org.ametys.sms.tool.PhoneNumbersToolFactory._toolIdPrefix + params.id, this.getPluginName());
		
		tool.setConfiguration(this._config);
		tool.setFactory (this);
		
		org.ametys.uitool.ToolsManager.getInstance().addUITool (tool, this._config['default-location']);
	}
	else
	{
		// Tool does already exist => Tool activation
		tool = org.ametys.uitool.ToolsManager.getInstance().getTool(org.ametys.sms.tool.PhoneNumbersToolFactory._toolIdPrefix + params.id);
	}
	
	tool.setParams(params);
	tool.activate();

	return tool;
}

org.ametys.sms.tool.PhoneNumbersToolFactory.prototype.closeTool = function (tool)
{
	org.ametys.uitool.ToolsManager.getInstance().removeUITool (tool);
}